Name:           axiom
Version:        1.2.12
Release:        15%{?dist}
Epoch:          0
Summary:        Axis Object Model
License:        ASL 2.0
Url:            http://ws.apache.org/commons/axiom/
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/axiom/1.2.12/ axiom-1.2.12
# tar caf axiom-1.2.12.tar.xz axiom-1.2.12
Source0:        %{name}-%{version}.tar.xz
# This patch makes several build changes:
# 1) Remove deps on a JAF implementation -- this is built into openjdk 7
# 2) Use the javamail and stax implementations already in Fedora
# 3) Remove maven plugins not present in Fedora, which do not impact the build process
# 4) Remove modules which require additional dependencies not yet in Fedora
Patch0:         axiom-build-fixes.patch

BuildRequires:  apache-rat-plugin
BuildRequires:  apache-commons-logging
BuildRequires:  bea-stax-api
BuildRequires:  javamail
BuildRequires:  jaxen
BuildRequires:  jdepend
BuildRequires:  junit
BuildRequires:  woodstox-core
BuildRequires:  maven-local
BuildRequires:  maven-install-plugin
BuildRequires:  maven-plugin-build-helper
BuildRequires:  maven-plugin-bundle
BuildRequires:  xmlunit
BuildRequires:  /usr/bin/perl

BuildArch:      noarch

%description
AXIOM stands for AXis Object Model (also known as OM - Object Model)
and refers to the XML info-set model that was initially developed for
Apache Axis2.

%package javadoc
Summary:        API Documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
%patch0 -p1
rm -rf modules/axiom-jaxen-testsuite/src/main/

# fix eol
%{__perl} -pi -e 's/\r$//g' README.txt NOTICE RELEASE-NOTE.txt

%pom_remove_dep :axiom-testutils modules/axiom-api

%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin -r :maven-source-plugin

%build
# Skipping tests for now due to many extra deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc *.txt
%license NOTICE

%files javadoc -f .mfiles-javadoc
%license NOTICE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 gil cattaneo <puntogil@libero.it> 0:1.2.12-14
- add missing BR

* Mon Jun 20 2016 gil cattaneo <puntogil@libero.it> 0:1.2.12-13
- add missing build requires: maven-bundle-plugin

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0:1.2.12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0:1.2.12-10
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 25 2014 Michael Simacek <msimacek@redhat.com> - 0:1.2.12-8
- Use mvn_install for installation
- Remove all-in-one JAR (bundling)
- Cleanup BuildRequires

* Sun Oct 20 2013 Matt Spaulding <mspaulding06@gmail.com> - 0:1.2.12-7
- Fix FTBFS (#992007)
- Fixed NOTICE.txt name (should be NOTICE) and added to javadoc package

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0:1.2.12-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar  7 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-2
- add jpackage-utils requirement
- remove non-ASL source files prior to building

* Wed Feb 15 2012 Andy Grimm <agrimm@gmail.com> - 0:1.2.12-1
- Initial build.
